import os, requests, sys

token = os.environ['GITLAB_API_TOKEN']
api_url = os.environ['CI_API_V4_URL']
project_url = os.environ['CI_PROJECT_URL']
project_id = os.environ['CI_PROJECT_ID']
tag_name = os.environ['CI_COMMIT_REF_NAME']
version = tag_name[1:]

print(f'Creating release for version {version}')

headers = {
    'Private-Token': token
}

data = {
    'name': version,
    'tag_name': tag_name,
    'description': f'See the [changelog]({project_url}/blob/{tag_name}/CHANGELOG.md).',
    'assets': {
        'links': [
            {
                'name': 'Pub Package',
                'url': f'https://pub.dartlang.org/packages/matrix_sdk_sqflite/versions/{version}'
            }
        ]
    }
}

response = requests.post(f'{api_url}/projects/{project_id}/releases', headers=headers, json=data)

if response.ok:
    sys.exit(0)

print(f'Failed to create release (HTTP {response.status_code})')
sys.exit(1)
